Verifications
View
GET
/
verifications
/
{verificationId}
/
view
View
curl --request GET \
--url https://sandbox.syngrafii.com/api/v1/verifications/{verificationId}/view \
--header 'api_key: <api-key>'import requests
url = "https://sandbox.syngrafii.com/api/v1/verifications/{verificationId}/view"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://sandbox.syngrafii.com/api/v1/verifications/{verificationId}/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "<string>",
"organizationId": "<string>",
"packageId": "<string>",
"packageName": "<string>",
"packageType": "<string>",
"signerId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"timeCreated": "<string>",
"timeUpdated": "<string>",
"countryCode": "<string>",
"attempts": 123,
"errors": 123,
"continue": true,
"error": "<string>",
"state": "<string>",
"results": [
{
"verificationResultId": "<string>",
"verificationId": "<string>",
"timeCreated": "<string>",
"passed": true,
"noRetry": true,
"expired": true,
"scores": {},
"scoresDescription": {},
"fieldScores": {},
"fields": {},
"data": {},
"error": "<string>",
"type": "<string>",
"state": "<string>",
"documents": [
{
"verificationDocumentId": "<string>",
"verificationId": "<string>",
"timeCreated": "<string>",
"documentType": "<string>",
"imageType": "<string>",
"url": "<string>"
}
]
}
]
}You can retrieve detailed verification results by calling
See the Verification signer API for more information on retrieving current signer verification results by package and signer ID.
/verifications/{verificationId}/view endpoint.
Verification ID
First you must obtain a signer’s currentverificationId by calling /packages/{packageId} or /packages/{packageId}/status endpoints.
You can find the
verificationId under each signer.{
...
"signers": [
{
"signerId": "7c9b63d1-e3c0-49b0-b13a-e9a24a402fc8",
...
"verification": {
"verificationId": "f050356f-e671-4436-801b-57b9ed40cc8b",
...
}
}
],
...
}
If the signer has not yet started their identity verification, the
verificationId will be an empty UUID value of "00000000-0000-0000-0000-000000000000" and the verification state will be set to not_started.Request
Request
GET /verifications/{verificationId}/view
Parameters
string
required
The unique identifier of the verification you want to retrieve detailed results for.
Response
string
Unique identifier for the verification.
string
Unique identifier for the organization.
string
Unique identifier for the package.
string
Package name.
string
Package type.
Show values
Show values
| Value | Description |
|---|---|
| concurrent | Concurrent: Allows multiple signers to sign the document simultaneously. |
| Sequential | Sequential: Requires signers to sign the document in a specific order. |
| Counterpart | Group Send: Enables group signing, where all signers receive the document at the same time. |
| video_closing_room | Video Signing Room: A virtual room for signing documents via video conference. |
| Live Session | In Person: An in-person signing session with all parties present. |
Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
string
Unique identifier for the signer.
string
Signer’s first name.
string
Signer’s last name.
string
Signer’s email address.
date
Time verification record was created.
date
Time verification record was last updated.
string
Two-character ISO-3166-1 country code.
number
Current number of failed attempts.
number
Current number of errors.
boolean
Set to
true if the signer is allowed to continue with signing documents after failing identity verification.string
Error code if verification is in a failed state (if any).
string
The current state of the signer’s identity verification process.
Show values
Show values
| State | Description |
|---|---|
| not_started | Signer has not started identity verification. |
| start | Signer is on start step. |
| consent | Signer is on consent step. |
| consent_processing | Server is processing consent. |
| identity | Signer is on identity verification step. |
| identity_processing | Server is processing identity verification. |
| kba | Signer is on KBA verification step. |
| kba_processing | Server is processing KBA verification. |
| document | Signer is on document verification step. |
| document_processing | Server is processing document verification. |
| end | Server is finalizing identity verification result. |
| passed | Identity verification has passed. |
| failed | Identity verification has failed and can be retried by signer. |
| failed_reset | Identity verification has failed and must be reset by package owner for signer to retry. |
| failed_locked | Identity verification has failed and is now locked and can no longer be reset by package owner. |
| error | A server error has occurred and can be retried by signer. |
| error_reset | A server error has occurred and must be reset by package owner for signer to retry. |
| error_locked | A server error has occurred and can no longer be reset by package owner. |
| cancelled | Identity verification has been cancelled. |
| cancelled_reset | Identity verification has been cancelled due to package owner resetting signer’s verification. |
| invalid | Identity verification is in an invalid state and cannot be processed. |
object[]
Results of the verification record.
Show properties
Show properties
string
Unique identifier for the verification result.
string
Unique identifier for the verification.
date
Time verification result record was created.
boolean
Set to
true if the verification result has passed.boolean
Set to
true if the verification result has failed and the signer can no longer retry.boolean
Set to
true if the verification result has expired and can no longer be completed by signer.Map<string, integer>
Dictionary of verification results and their pass/fail score.
Score mapping: -1 = missing, 0 = failed/no match, 50 = partial match, 100 = passed.
Show keys
Show keys
| Value | Description | Version |
|---|---|---|
| credit_fraud | Fraud Check | |
| credit_six_month_residency | Six Month Residency Check | |
| credit_three_year | Three Year Credit Check | |
| document | Identification | |
| document_confidence | Document Confidence | 3.5 |
| document_live_photo_liveness | Live Selfie Liveness Detection | |
| document_live_photo_match | Live Selfie Matches Document Photo | 3.5 |
| identity | Identity | |
| kba | Knowledge Based Answers | |
| security_check_country | Country Match | |
| security_check_data | Data Crosscheck Analysis | |
| security_check_document_type | Document Type Match | |
| security_check_features | Security Feature Analysis | |
| security_check_live_photo | Live Selfie Match | |
| security_check_session | Session Analysis | 3.5 |
| security_check_tampering | Tampering Analysis | |
| security_valid_data | Data Format Analysis | |
| security_valid_document | Data Analysis | |
| security_valid_document_type | Document Type Analysis | |
| security_valid_machine_readable_data | Machine Readable Data Analysis | |
| security_valid_ocr | OCR Analysis | 3.5 |
| security_valid_photos | Photo Analysis | 3.5 |
Map<string, string>
Dictionary of messages associated with each score in
scores.Map<string, integer>
Dictionary of verification input fields and their pass/fail score.
Map<string, object>
Dictionary of verification input fields and their values used to generate the results.
Show keys
Show keys
| Key | Label |
|---|---|
| address | Address |
| city | City |
| credit_details_trulioo | Credit |
| dob_day | DOB Day |
| dob_month | DOB Month |
| dob_year | DOB Year |
| document_address | Address |
| document_address_2 | Address 2 |
| document_city | City |
| document_class | Class |
| document_country_code | Country |
| document_dob_day | Birth Day |
| document_dob_month | Birth Month |
| document_dob_year | Birth Year |
| document_doe_day | Expiry Day |
| document_doe_month | Expiry Month |
| document_doe_year | Expiry Year |
| document_doi_day | Issue Day |
| document_doi_month | Issue Month |
| document_doi_year | Issue Year |
| document_first_name | First Name |
| document_full_name | Full Name |
| document_gender | Gender |
| document_issuer | Issuer |
| document_last_name | Last Name |
| document_middle_name | Middle Name |
| document_nationality | Nationality |
| document_number | Document Number |
| document_number_2 | Document Number 2 |
| document_place_of_birth | Place of Birth |
| document_postal_code | Postal Code |
| document_subdivision | Province |
| document_type | Document Type |
| first_name | First Name |
| full_name | Full Name |
| last_name | Last Name |
| last_name_other | Last Name (Other) |
| middle_name | Middle Name |
| mobile_number | Mobile Number |
| postal_code | Postal Code |
| prefix | Prefix |
| street_name | Street Name |
| street_number | Street Number |
| street_type | Street Type |
| subdivision | Province |
| unit_number | Unit Number |
Map<string, object>
Dictionary of any additional fields and their values generated while processing the results.
string
May contain an error code if verification result is in a failed state.
string
The type of verification result.
Show values
Show values
| Value | Description |
|---|---|
| identity | Identity verification. |
| kba | Knowledge based answers verification. |
| document | Document verification. |
string
The state of the verification result.
Show values
Show values
| State | Description |
|---|---|
| processing | Verification result is currently being processed. |
| collected | Verification input fields have been successfully collected. The input fields will be validated by a subsequent verification step. |
| passed | Verification result has been processed and has passed. |
| failed | Verification result has been processed and has failed. |
| error | An error occurred while processing the verification. Check the error field for reason. |
object[]
Documents associated with the verification result.
Show properties
Show properties
string
Unique identifier for the verification document.
string
Unique identifier for the verification.
date
Time verification document record was created.
string
Verification document type.
Show values
Show values
| Key | Description |
|---|---|
| drivers_license | Driver’s License |
| health_card | Health Card |
| identity_card | Identity Card |
| military_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident_card | Resident Card |
| travel_document | Travel Document |
| visa | Visa |
| voter_id | Voter ID |
string
Verification document image type.
Show values
Show values
| Key | Description |
|---|---|
| live_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
string
URL to download document or document image from.
Document URLs returned by the verification endpoint have a lifetime of 15 minutes.
As of
3.6 images now default to WEBP format. You can convert images to JPEG by appending the following query string parameter to end of the returned URL:&mimeType=image/jpegExamples
Response (200)
{
"verificationId": "6297e62f-d49d-4f2e-8369-e24ce4316e73",
"organizationId": "24261ee6-5f66-4692-ba49-533c9b58999b",
"packageId": "08aba360-4466-4463-8b4b-9585d3de4b33",
"signerId": "dff8f8cc-fe2d-428e-9a8c-bcf1a2b187ce",
"firstName": "Signer",
"lastName": "One",
"email": "signer.one@syngrafii.com",
"timeCreated": "2023-01-18T20:09:11.632Z",
"timeUpdated": "2023-01-18T20:14:05.387Z",
"countryCode": "CA",
"error": null,
"state": "passed",
"results": [
{
"verificationResultId": "faa1a005-40a8-43e1-98c8-23d6c7a54278",
"timeCreated": "2023-01-18T20:13:26.111Z",
"passed": true,
"noRetry": null,
"expired": null,
"scores": {
"document": 100,
"security_check_features": 100,
"security_check_tampering": 100,
"security_check_live_photo": 100,
"document_live_photo_liveness": 100,
"security_check_country": 100,
"security_check_document_type": 100,
"security_valid_document_type": 100,
"security_valid_document": 100,
"security_valid_data": 100,
"security_check_data": 100,
"security_valid_machine_readable_data": 100
},
"fieldResultId": null,
"fieldScores": {
"last_name": 100,
"first_name": 100
},
"fields": {
"first_name": "Signer",
"last_name": "One"
},
"data": {
"document_number": "XXXXX-XXXXX-XXXXX",
"document_number_2": "GGXXXXXXX",
"document_country_code": "CAN",
"document_issuer": "Ontario",
"document_class": "G",
"document_doi_day": "01",
"document_doi_month": "12",
"document_doi_year": "2020",
"document_doe_day": "01",
"document_doe_month": "12",
"document_doe_year": "2025",
"document_full_name": "SIGNER ONE",
"document_first_name": "SIGNER",
"document_middle_name": "",
"document_last_name": "ONE",
"document_gender": "M",
"document_dob_day": "01",
"document_dob_month": "12",
"document_dob_year": "1970",
"document_address": "1234 XXXXXXX RD",
"document_city": "XXXXXX",
"document_subdivision": "ON",
"document_postal_code": "L1X 1X1"
},
"error": null,
"type": "document",
"state": "passed",
"documents": [
{
"verificationDocumentId": "adae7fce-30a9-4986-9e11-3c9fa67cb2e6",
"timeCreated": "2023-01-18T20:12:30.3Z",
"documentType": "drivers_license",
"imageType": "front",
"url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/adae7fce-30a9-4986-9e11-3c9fa67cb2e6"
},
{
"verificationDocumentId": "1f1efa6a-c4fd-467f-a8b0-705751944e36",
"timeCreated": "2023-01-18T20:12:46.111Z",
"documentType": "drivers_license",
"imageType": "back",
"url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/1f1efa6a-c4fd-467f-a8b0-705751944e36"
},
{
"verificationDocumentId": "88a15267-7516-4f26-9de3-7964e5a7935d",
"timeCreated": "2023-01-18T20:13:24.289Z",
"documentType": "drivers_license",
"imageType": "live_photo",
"url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/88a15267-7516-4f26-9de3-7964e5a7935d"
}
]
}
]
}
⌘I
View
